org.apache.mina.transport.tcp

## Interface TcpSessionConfig

All Superinterfaces:
  IoSessionConfig

All Known Implementing Classes:
  DefaultTcpSessionConfig, ProxyTcpSessionConfig

    public interface TcpSessionConfig
    extends IoSessionConfig

A `IoSessionConfig` for socket based sessions.

Author:
  Apache MINA Project

### Method Summary

Methods
`Integer` `getSoLinger()` Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.
`SSLContext` `getSslContext()`
`Boolean` `isKeepAlive()`
`Boolean` `isOobInline()`
`boolean` `isSecured()` Tells if the session provides some encryption (SSL/TLS)
`Boolean` `isTcpNoDelay()`
`void` `setKeepAlive(boolean keepAlive)`
`void` `setOobInline(boolean oobInline)`
`void` `setSoLinger(int soLinger)` Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.
`void` `setSslContext(SSLContext sslContext)`
`void` `setTcpNoDelay(boolean tcpNoDelay)`

### Methods inherited from interface org.apache.mina.api.IoSessionConfig

`getIdleTimeInMillis, getReadBufferSize, getSendBufferSize, getTimeout, getTrafficClass, isReuseAddress, setIdleTimeInMillis, setReadBufferSize, setReuseAddress, setSendBufferSize, setTimeout, setTrafficClass, setTrafficClass`

### Method Detail

#### isTcpNoDelay

    Boolean isTcpNoDelay()

See Also:
  `Socket.getTcpNoDelay()`

#### setTcpNoDelay

    void setTcpNoDelay(boolean tcpNoDelay)

See Also:
  `Socket.setTcpNoDelay(boolean)`

#### isKeepAlive

    Boolean isKeepAlive()

See Also:
  `return `null` if the default system value is used`

#### setKeepAlive

    void setKeepAlive(boolean keepAlive)

See Also:
  `Socket.setKeepAlive(boolean)`

#### isOobInline

    Boolean isOobInline()

See Also:
  `return `null` if the default system value is used`

#### setOobInline

    void setOobInline(boolean oobInline)

See Also:
  `Socket.setOOBInline(boolean)`

#### getSoLinger

    Integer getSoLinger()

Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.

See Also:
  `Socket.getSoLinger()`, Sun Bug Database return `null` if the default system value is used

#### setSoLinger

    void setSoLinger(int soLinger)

Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.

Parameters:
  `soLinger` - Please specify a negative value to disable `SO_LINGER`.
See Also:
  `Socket.setSoLinger(boolean, int)`, Sun Bug Database

#### isSecured

    boolean isSecured()

Tells if the session provides some encryption (SSL/TLS)

Returns:
  `true` if the session is secured

#### getSslContext

    SSLContext getSslContext()

Returns:
  The `SSLContext` instance stored in the configuration.

#### setSslContext

    void setSslContext(SSLContext sslContext)